Bug 130473 - gnome-settings-daemon crashes in acme_fblevel_get_type ()
gnome-settings-daemon crashes in acme_fblevel_get_type ()
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Jonathan Blandford
David Lawrence
:
Depends On:
Blocks: fedora-ppc FC3Target
  Show dependency treegraph
 
Reported: 2004-08-20 15:02 EDT by jeroen
Modified: 2013-04-02 00:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-22 08:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jeroen 2004-08-20 15:02:24 EDT
Update to the latest fedora ppc development packages.
gnome-settings-daemon crashes when it tries to start. According to gdb
(which is lacking quite a lot of symbols), it crashes in
acme_fblevel_get_type (). I don't know if anything changed recently in
that code, otherwise it may be a packaging problem?

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 805559680 (LWP 3295)]
0x1001fd08 in acme_fblevel_get_type ()
Comment 1 jeroen 2004-08-20 15:02:53 EDT
This is with control-center-2.7.0-1 btw.
Comment 2 jeroen 2004-08-22 08:18:42 EDT
Fixed upstream in gnomecvs:

2004-08-22  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* actions/acme-fb-level.c: Use the parent type in the G_DEFINE_TYPE
	macro, not its own type (fixes rh #130473).

Note You need to log in before you can comment on or make changes to this bug.